* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

button {
    padding: 0 !important;
}

body {
    color: #333;
    font-family: "Poppins", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    overflow-x: hidden;
}

a{
    text-decoration: none !important;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 2rem;
    padding-bottom: 0px;
    font-weight: 900;
}

.div-logo {
  margin: 50px 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.contratar {
    text-decoration: none;
    color: #333;
    font-size: 0.9rem;
}

/* CSS (ajuste ao gosto) */
#resultado-video { position: relative; overflow: hidden; width: 100%; }
#resultado-video video { display:block; width:100%; height:auto; max-width:100%; }

.ativar-som{
  position: absolute;
  right: 16px;
  bottom: 16px;
  z-index: 20;
  background: rgba(0,0,0,0.6);
  color: #fff;
  border: none;
  padding: 10px 14px;
  border-radius: 8px;
  cursor: pointer;
  font-size: 14px;
  display: none; /* fica escondido até precisar */
}

/* pequeno estilo quando precisar mostrar */
.ativar-som.show { display: inline-block; }


#resultado-video video {
  display: block;      /* remove gaps por default */
  width: 100%;         /* ocupa toda a largura do pai */
  height: auto;        /* mantém proporção */
  max-width: 100%;     /* nunca ultrapassa a largura do pai */
  margin: 30px 0;
}


.intro {
    padding: 2rem 0 0;
}

.intro h1 {
    font-size: 50px;
    font-weight: 600;
    line-height: 60px;
    color: fff;
}

.highlight {
    color: #1ecad3;
}
.highlight:last-child{
    color: #1ecad3;
}

.calculator {
    max-width: 700px;
    margin: 2rem auto;
    padding: 1.5rem 2rem;
    background-color: #ffffff;
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

.calculator h2 {
    font-size: 12px;
    font-weight: 600;
    color: #1ecad3;
    margin-bottom: 1rem;
    padding: 10px;
    background-color: #04203f;
    width: fit-content;
    border-radius: 8px;
}

.calculator p {
    font-size: 18px;
    line-height: 25px;
}

.grupo {
    margin-bottom: 1.5rem;
}

.grupo label {
    font-size: 20px;
    font-weight: bold;
    color: #333;
}

.grupo span {
    display: block;
    margin-bottom: 0.5rem;
    font-size: 12px;
}
hr{
    border-top: #989696 solid 1px;
}

.slider {
    display: flex;
    align-items: center;
}

.slider button {
    background: #001740;
    color: #fff;
    border: none;
    border-radius: 50%;
    width: 24px;
    height: 24px;
    font-size: 1rem;
    cursor: pointer;
}

.slider button:hover {
    background-color: #20cbd4;
}

.slider input[type="range"] {
    flex: 1;
    margin: 0 0.5rem;
}

.value {
    font-size: 30px !important;
    color: #000000;
    font-weight: 700;
}

.calculate-btn {
    width: 100%;
    padding: 1rem;
    font-size: 1rem;
    color: #fff;
    background-color: #001740;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    font-weight: bold;
    text-align: center;
    /* transition: all .5s ease-in-out; */
    cursor: pointer;
}

.calculate-btn:hover {
    background-color: #1ecad3;
}

.resultado{
    display: none;
}

.texto_pronto{
    font-size: 30px;
    line-height: 40px;
    font-weight: 600;
    padding-top : 2rem;
}

.calculator .box{
    background-color: #6ab0ff3b;
    border-radius: 8px;
    padding: 15px 20px;
    margin-bottom: 15px;
    font-size: 12px;
    color: #686869;
}
.calculator .box span{
    font-size: 20px;
    font-weight: 700;
    color: #415ff2;
}
.refazer{
    color: #415ff2;
    margin: 20px auto;
    cursor: pointer;
    text-align: center;
}

#pos_resultado{
    display: none;
}

#pos_resultado .borda{
    border-radius: 6px;
}

#cases .box{
    padding: 50px 20%;
    font-size: 30px;
    color: #FFF;
    background-image: url(assets/img/bg_box.jpg);
    background-size: cover;
    text-align: center;
    border-radius: 20px;
}
#cases .box img{
    width: 50px;
    margin-top: 20px;
    animation: bounce 1.5s infinite;
}
@keyframes bounce {
    0%, 100% {
      transform: translateY(0);
    }
    50% {
      transform: translateY(10px);
    }
  }

#cases .d-flex{
    flex-wrap: wrap;
    
}
.colunas{
    margin-top: 30px;
    width: 31%;
}
/* Cards com conteúdo variado */
.grid-item {
    background-color: #fff;
    border-radius: 10px;
    padding: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s;
    display: flex;
    flex-direction: column;
    margin-bottom: 30px;
}

.grid-item:hover {
    transform: translateY(-5px);
}

.grid-item h3 {
    font-size: 18px;
    color: #333;
    margin-bottom: 10px;
    font-weight: bold;
}

.grid-item p {
    font-size: 18px;
    color: #666;
    margin: 10px 0;
    font-weight: 500;
}

.grid-item h2 {
    font-size: 24px;
    font-weight: 700;
    color: #00AF85;
    margin-bottom: 10px;
}

.grid-item .logo{
    /* height: 15px; */
    width: fit-content;;
}

.grid-item .img {
    margin-top: 15px;
    width: 100%;
    height: auto;
    border-radius: 8px;
    object-fit: cover;
}

.esquerda_final{
    font-size: 60px;
    line-height: 75px;
    font-weight: 600;
}

.final{
    margin: 100px 0px !important;
}
.final .calculate-btn{
    width: fit-content;
}

.rodape{
    padding: 30px 40px;
    border-radius: 30px;
    border: 1px solid rgb(215, 215, 215);
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 40px;
    
}

/* Estilos do pop-up */
.popup {
    display: none; /* Oculta o pop-up por padrão */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8); /* Fundo semi-transparente */
    z-index: 1000;
}
.popup span{
    color: #1ecad3;
}

/* Conteúdo do pop-up */
.popup-content {
    position: relative;
    background-color: #fff;
    padding: 20px;
    width: 80%;
    max-width: 600px;
    margin: 10% auto; /* Centraliza o pop-up na tela */
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

/* Botão de fechar */
.close {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 24px;
    font-weight: bold;
    color: #333;
    cursor: pointer;
}




/* Estilização do container do slider */
input[type="range"] {
    -webkit-appearance: none; /* Remove o estilo padrão do navegador */
    width: 100%;
    height: 16px; /* Altura do slider */
    background: #001740; /* Cor de fundo do slider */
    border-radius: 8px; /* Arredondamento nas bordas */
    outline: none;
    transition: all 0.5s;
}

/* Efeito de hover no slider */
input[type="range"]:hover {
    background:#1ecad3;
}

/* Estilização do thumb (manipulador circular) para navegadores WebKit */
input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none; /* Remove o estilo padrão do navegador */
    appearance: none;
    width: 32px; /* Largura do thumb */
    height: 32px; /* Altura do thumb */
    background: #fff; /* Cor do thumb */
    border-radius: 50%; /* Forma circular */
    cursor: pointer;
    box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.2); /* Sombra para dar destaque */
}

/* Estilização do thumb para navegadores Firefox */
input[type="range"]::-moz-range-thumb {
    width: 32px;
    height: 32px;
    background: #fff;
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.2);
}

/* Estilização do thumb para navegadores IE */
input[type="range"]::-ms-thumb {
    width: 32px;
    height: 32px;
    background: #fff;
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.2);
}

input[type="text"],
#faturamento_mensal{
  width: 100%;
  font-weight: 600;
  background-color: #FFF;
  border: 2px solid #e1e1e1 !important;
  padding: 10px !important;
  border-radius: 8px !important;
  margin-bottom: 15px;
  transition: all 0.2s;
}



@media only screen and (min-width : 10px) and (max-width : 1200px) {    
    header{
        justify-content: center;
    }
    .value {
        width: 100%;
    }
    .intro h1{
        text-align: center;
        padding: 0px 20px;
        font-size: 35px;
        line-height: 45px;
    }
    .calculator{
        max-width: 100%;
        text-align: center;
    }
    .grupo .d-flex div{
        width: 100%;
    }
    .calculator h2{
        margin: 0 auto 20px;
    }

    .resultado{
        text-align: center;
    }

    .colunas{
        width: 100%;
    }

    .esquerda{
        font-size: 40px;
        line-height: 50px;
    }

    #cases .box{
        font-size: 20px;
        padding: 50px;
    }

    .esquerda_final {
        font-size: 40px;
        line-height: 50px;
        font-weight: 600;
        text-align: center;
        margin-bottom: 20px;
    }

    .final{
        text-align: center;
    }
    .final .calculate-btn {
        width: inherit;
    }

    .rodape{
        flex-wrap: wrap;
    }
    .rodape img{
        margin: auto;
    }
    .rodape div{
        width: 100%;
        text-align: center;
    }

}